Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115661 - Review Request: nodejs-base64-js - Base64 encoding/decoding in pure JS
Summary: Review Request: nodejs-base64-js - Base64 encoding/decoding in pure JS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1115702
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:02 UTC by Ralph Bean
Modified: 2014-08-15 02:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 18:20:50 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:02:54 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-base64-js.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-base64-js-0.0.7-1.fc20.src.rpm

Description:
base64-js
=========

Comment 1 Parag AN(पराग) 2014-07-17 16:30:22 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-base64-js.src: W: invalid-url URL: https://www.npmjs.org/package/base64-js <urlopen error [Errno -2] Name or service not known>
nodejs-base64-js.src: W: invalid-url Source0: http://registry.npmjs.org/base64-js/-/base64-js-0.0.7.tgz <urlopen error [Errno -2] Name or service not known>
nodejs-base64-js.x86_64: W: invalid-url URL: https://www.npmjs.org/package/base64-js <urlopen error [Errno -2] Name or service not known>
nodejs-base64-js.x86_64: E: no-binary
nodejs-base64-js.x86_64: W: only-non-binary-in-usr-lib
nodejs-base64-js-debuginfo.x86_64: W: invalid-url URL: https://www.npmjs.org/package/base64-js <urlopen error [Errno -2] Name or service not known>
nodejs-base64-js-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 5 warnings.
==> See suggestion below

+ Source verified with upstream as (sha256sum)
srpm tarball     :dc7c93b9932956dffa33960b55d2d5b3692864f0d1121a940cfe5d11a4bdf76c
upstream tarball :dc7c93b9932956dffa33960b55d2d5b3692864f0d1121a940cfe5d11a4bdf76c

+ License "MIT" is valid 

- License is NOT packaged as %doc.

+ rest looks following packaging guidelines


Suggestions:
1) Good to add some description instead just package name
2) Add LICENSE.MIT to %doc

3) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

Comment 2 Ralph Bean 2014-07-21 18:57:27 UTC
New release should address your suggestions:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-base64-js.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-base64-js-0.0.7-2.fc20.src.rpm

Comment 3 Parag AN(पराग) 2014-07-22 04:22:45 UTC
Thanks for the update. New srpm looks good.

APPROVED.

Comment 4 Ralph Bean 2014-07-22 14:15:49 UTC
New Package SCM Request
=======================
Package Name: nodejs-base64-js
Short Description: Base64 encoding/decoding in pure JS
Upstream URL: https://npmjs.org/package/base64-js
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-22 14:35:29 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-22 17:51:56 UTC
nodejs-base64-js-0.0.7-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-base64-js-0.0.7-2.fc20

Comment 7 Fedora Update System 2014-07-22 17:52:08 UTC
nodejs-base64-js-0.0.7-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-base64-js-0.0.7-2.fc19

Comment 8 Fedora Update System 2014-07-22 17:52:25 UTC
nodejs-base64-js-0.0.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-base64-js-0.0.7-2.el6

Comment 9 Ralph Bean 2014-07-22 18:20:50 UTC
Buildroot overrides have been created.

Comment 10 Fedora Update System 2014-08-13 00:37:51 UTC
nodejs-base64-js-0.0.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2014-08-15 02:42:04 UTC
nodejs-base64-js-0.0.7-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-08-15 02:51:01 UTC
nodejs-base64-js-0.0.7-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.